default: report

clean:
	rm -rf compare_complex compare_math results_complex.txt results_math.txt

report: compare_complex compare_math
	./compare_complex > results_complex.txt
	./compare_math > results_math.txt

compare_complex:
	gcc main.c stereo_complex.c -lm -DUSE_COMPLEX -o compare_complex

compare_math:
	gcc main.c stereo_math.c -lm -o compare_math
